std::error_code Class Reference

## Public Member Functions

template<typename _ErrorCodeEnum , typename = typename enable_if<is_error_code_enum<_ErrorCodeEnum>::value>::type>
| error_code (_ErrorCodeEnum __e) noexcept
| error_code (int __v, const error_category &__cat) noexcept
void | assign (int __v, const error_category &__cat) noexcept
const error_category & | category () const noexcept
void | clear () noexcept
error_condition | default_error_condition () const noexcept
string | message () const
| operator bool () const noexcept
template<typename _ErrorCodeEnum >
enable_if< is_error_code_enum< _ErrorCodeEnum >::value, error_code & >::type | operator= (_ErrorCodeEnum __e) noexcept
int | value () const noexcept

## Related Functions

(Note that these are not member functions.)
error_condition | make_error_condition (errc) noexcept
bool | operator!= (const error_code &__lhs, const error_code &__rhs) noexcept
bool | operator!= (const error_code &__lhs, const error_condition &__rhs) noexcept
bool | operator== (const error_code &__lhs, const error_code &__rhs) noexcept
bool | operator== (const error_code &__lhs, const error_condition &__rhs) noexcept
error_code | make_error_code (errc __e) noexcept

## Detailed Description

Class error_code

This class is a value type storing an integer error number and a category that gives meaning to the error number. Typically this is done close the the point where the error happens, to capture the original error value.

An `error_code` object can be used to store the original error value emitted by some subsystem, with a category relevant to the subsystem. For example, errors from POSIX library functions can be represented by an `errno` value and the "generic" category, but errors from an HTTP library might be represented by an HTTP response status code (e.g. 404) and a custom category defined by the library.

Since
  C++11

Definition at line 196 of file system_error.

The documentation for this class was generated from the following file:

- system_error